Subject: Accessing I2C from User Space

From: "Aman" <[email-masked]>
Date: Fri, 27 Dec 2002 12:59:49 +0530

Hi,

Iam working on IBM 440gp. I need to access the IIC registers from the
user space. So I wrote a driver mmap entry point. But I noticed that the
function remap_page_range () takes physical address as unsigned long which
is 32 bits. How do I remap the IIC registers which lie in the 36 bit
physical address space?

Regards,
Aman.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/